/*************************************************** 
  This is a library for our I2C LED Backpacks

  Designed specifically to work with the Adafruit LED Matrix backpacks 
  ----> http://www.adafruit.com/products/872
  ----> http://www.adafruit.com/products/871
  ----> http://www.adafruit.com/products/870

  These displays use I2C to communicate, 2 pins are required to 
  interface. There are multiple selectable I2C addresses. For backpacks
  with 2 Address Select pins: 0x70, 0x71, 0x72 or 0x73. For backpacks
  with 3 Address Select pins: 0x70 thru 0x77

  Adafruit invests time and resources providing this open source code, 
  please support Adafruit and open-source hardware by purchasing 
  products from Adafruit!

  Written by Limor Fried/Ladyada for Adafruit Industries.  
  BSD license, all text above must be included in any redistribution
 ****************************************************/
#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include "Adafruit_LEDBackpack.h"

int z=30;//time delay in sequence
int q=3;//brightness
int t=10000;//time between winks
int p=0;//passover constand
int v=600;//vision number
int td=0;//variable
Adafruit_8x8matrix matrix = Adafruit_8x8matrix();

void setup() {
  Serial.begin(9600);
  Serial.println("8x8 LED Matrix Test");
  matrix.setRotation(3);
  matrix.begin(0x72);  // pass in the address
  pinMode(8,OUTPUT);//set pin 8 to send data to picture frame
  
}

static const uint8_t PROGMEM
  a_bmp[] =
  { B00111100,
    B01000010,
    B10000001,
    B10011001,
    B10011001,
    B10000001,
    B01000010,
    B00111100 },
  b_bmp[] =
  { B00111100,
    B01111110,
    B10000001,
    B10011001,
    B10011001,
    B10000001,
    B01000010,
    B00111100  },
  c_bmp[] =
  { B00111100,
    B01111110,
    B11111111,
    B10011001,
    B10011001,
    B10000001,
    B01000010,
    B00111100 },
  d_bmp[] =
  { B00111100,
    B01111110,
    B11111111,
    B11111111,
    B10011001,
    B10000001,
    B01000010,
    B00111100 },

    e_bmp[] =
  { B00111100,
    B01111110,
    B11111111,
    B11111111,
    B11111111,
    B10000001,
    B01000010,
    B00111100 },

    f_bmp[] =
  { B00111100,
    B01111110,
    B11111111,
    B11111111,
    B11111111,
    B11111111,
    B01000010,
    B00111100 },

    g_bmp[] =
  { B00111100,
    B01111110,
    B11111111,
    B11111111,
    B11111111,
    B11111111,
    B01111110,
    B00111100 };

    

void loop() {

  
if(p==0) {
  matrix.begin(0x72);
matrix.clear();
matrix.setBrightness(q);
  
  matrix.drawBitmap(0, 0, a_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  p=1;
}
  

  matrix.begin(0x70);
   matrix.clear();
matrix.setBrightness(q);
  matrix.drawBitmap(0, 0, a_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  
  
for (int td=0; td<=3000; td++) {
  v=analogRead(A1);//read vision >820 <821
  if(v>500) {
    digitalWrite(8,HIGH);
  }
  if (v<501) {
    digitalWrite(8,LOW);
  }
  delay(5);
}
  
  

  

  matrix.begin(0x70);
  matrix.clear();
matrix.setBrightness(q);
  matrix.drawBitmap(0, 0, b_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  

 
  delay(z);

   matrix.begin(0x70);
  matrix.clear();
matrix.setBrightness(q);
  matrix.drawBitmap(0, 0, c_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  

 
  delay(z);

 matrix.begin(0x70);
  matrix.clear();
matrix.setBrightness(q);
  matrix.drawBitmap(0, 0, d_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  

  delay(z);

 matrix.begin(0x70);
  matrix.clear();
matrix.setBrightness(q);
  matrix.drawBitmap(0, 0, e_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  

  delay(z);

 matrix.begin(0x70);
  matrix.clear();
matrix.setBrightness(q);
  matrix.drawBitmap(0, 0, f_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  

  delay(z);

 matrix.begin(0x70);
  matrix.clear();
matrix.setBrightness(q);
  matrix.drawBitmap(0, 0, g_bmp, 8, 8, LED_ON);
  matrix.writeDisplay();
  

 
  delay(500);




  

  

  
  

 
  }
  

